# Filename: gui_radiobutton.py
# Purpose:  Create a panel showing a choice between 3 radiobuttons.
# Results:  Messagebox showing selection.

from maptek import vulcan_gui

pan = vulcan_gui.panel("Basic Panel")
pan.radiobutton(tag='rad_1', prompt='Choice one', bank=0)
pan.radiobutton(tag='rad_2', prompt='Choice two', bank=0)
pan.radiobutton(tag='rad_3', prompt='Choice three', bank=0)
pan.display()

if pan['rad_1']:
    choice = 'One'
elif pan['rad_2']:
    choice = 'Two'
elif pan['rad_3']:
    choice = 'Three'

print(f'You chose {choice}.')